Foreman - Bug #14692

Unable to change own username through web Ul
04/18/2016 01:37 PM - Brad Buckingham

Status: Closed
Priority: Low
Assignee: Rahul Bajaj
Category: Web Interface

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1327661 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/4579
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1327661
Description of problem:

When user tries to update his username via My Account > User dialog, there is no error shown on trying to put a blank username in.
Instead there is a success notification displayed but the username stays unchanged (so it's more of a cosmetic issue).

Version-Release number of selected component (if applicable):
6.2.0 snap 8.1

How reproducible:
always

Steps to Reproduce:

1. navigate to my profile

2. try to change your username to " or " "

Actual results:

Successfully updated <usernames //changes have no effect

Expected results:
"can't be blank" Error

Additional info:

Related issues:
Has duplicate Foreman - Bug #19946: Unable to change the User-name by the user

Duplicate 06/07/2017

History

#1 - 04/19/2016 02:52 AM - Dominic Cleal
- File Screenshot from 2016-04-19 07-50-22.png added

- Status changed from New to Need more information

How are you changing the username? The input box is disabled.

#2 - 04/19/2016 08:50 AM - Brad Buckingham
- Status changed from Need more information to New

- Priority changed from Normal to Low

The user has Administrator role; therefore, the username is editable. If he attempts to update it, there is no error displayed; however, it seems that
the user is logged out immediately and the change is not applied. Ideally, the field should be read-only or the user should see an error.

#3 - 04/19/2016 08:53 AM - Dominic Cleal

- Subject changed from WebUI - no error on updating own username to blank to No error when updating own username to blank
- Category set to Web Interface

The reason the username field is disabled in my screenshot is that it's incorrectly made disabled when the username is 'admin’.

#4 - 05/01/2016 10:12 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3483 added

#5 - 05/11/2016 03:57 AM - Daniel Lobato Garcia

| think the actual issue is that we're filtering the 'login' parameter on the controller, so the request to update the login to ' ' is never fulfilled if you're
editing your own user.

More info in the PR: https://github.com/theforeman/foreman/pull/3483#issuecomment-218388480

#6 - 11/17/2016 03:58 AM - Dominic Cleal

- Subject changed from No error when updating own username to blank to Unable to change own username through web Ul
- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3483)

PR closed due to inactivity, seems valid still.

#7 - 12/20/2016 11:05 AM - Daniel Gagnon

This is still an issue on latest production release. Unable to rename any user. No errors are generated, but the change does not go through.

#8 - 06/02/2017 02:33 AM - Rahul Bajaj

| am a new contributor to this project and wish to work on this bug. Is this bug still valid ?

#9 - 06/07/2017 02:38 AM - Rahul Bajaj

- Assignee set to Rahul Bajaj

#10 - 06/07/2017 10:05 AM - Rahul Bajaj

| am analyzing a senario - An admin is unable to change his username but he can change other users name. The other users have the option to
change their own user names but after updating the form it does not actually update thier usernames.

| have also raised a ticket regarding this issue : http://projects.theforeman.org/issues/19946

| am confused to whether what is the solution to this issue: either
1) Should all the users be restricted from updating their respective usernames ? OR
2) Should they be allowed ?

#11 - 06/07/2017 11:22 AM - Daniel Lobato Garcia
Rahul, No need for a new ticket.
About your question, | think it would be a mix of both:

Users can update their own names if the Auth Source of these users is Internal, but cannot update their own names if the Auth Source is
LDAP-based. The reason is simply that they'll lock themselves out if they change the name (Foreman won't propagate these changes to LDAP).

#12 - 06/07/2017 11:23 AM - Daniel Lobato Garcia
Feel free to take the code in https:/github.com/theforeman/foreman/pull/3483#issuecomment-218388480 and base your PR off that

#13 - 06/07/2017 11:25 AM - Daniel Lobato Garcia
- Has duplicate Bug #19946: Unable to change the User-name by the user added

#14 - 06/09/2017 04:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4579 added

#15 - 07/04/2017 01:38 AM - Rahul Bajaj
- Target version set to 1.17.0-RC1
#16 - 08/11/2017 06:21 AM - Rahul Bajaj
- Target version changed from 1.17.0-RC1to 1.17.0

#17 - 09/06/2017 01:35 AM - Kavita Gaikwad
- Target version changed from 1.17.0 to 216

#18 - 11/07/2017 11:27 AM - Rahul Bajaj
- Target version deleted (216)

#19 - 02/18/2019 10:35 AM - Rahul Bajaj
- Status changed from Ready For Testing to Closed

Files
